Bug 1272675 - Undo Score when undoing a move
Summary: Undo Score when undoing a move
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-2048
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-17 14:48 UTC by pj9220
Modified: 2016-01-29 00:22 UTC (History)
3 users (show)

Fixed In Version: gnome-2048-3.18.2-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-29 00:22:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 756758 0 None None None Never

Description pj9220 2015-10-17 14:48:54 UTC
I'd suggest, that if you undo a move in gnome-2048, the score should be undone as well.

E.g. your Score is 270. You merge 2 16-tiles, so the score would be 270 + 32 = 302. If you undo the move, the score remains 302. In theory you could thus do and undo a merge move over and over again and raise your score. 

How reproducible:


Steps to Reproduce:
1. Have some game situation where you could merge (at least) 2 tiles.
2. Remember the score.
3. Do the merge move.
4. Undo the move.

Actual results:
The score reflects the merge, which was just undone.

Expected results:
Score before the subsequently undone merge move was done.

Additional info:

Comment 1 Yanko Kaneti 2016-01-19 11:00:03 UTC
There is a bit more work involved in backporting fixes to the prerelease 2048 in F22 so I'll just move this bug to F23 and issue an update there. Sorry and thanks for the bugreport.

Comment 2 Fedora Update System 2016-01-19 11:14:09 UTC
gnome-2048-3.18.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41e5b89f51

Comment 3 Fedora Update System 2016-01-20 23:58:31 UTC
gnome-2048-3.18.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41e5b89f51

Comment 4 Fedora Update System 2016-01-29 00:22:47 UTC
gnome-2048-3.18.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.